## GstValidateMediaDescriptor

    GObject
        ╰──GInitiallyUnowned
            ╰──GstObject
                ╰──GstValidateMediaDescriptor
                    ╰──GstValidateMediaDescriptorParser
                    ╰──GstValidateMediaDescriptorWriter

### Members

`parent` (GstObject) –
No description available
`lock` (GMutex) –
No description available

### Class structure

#### GstValidateMediaDescriptorClass

##### Fields

`parent` (GstObjectClass) –
No description available

### GstValidate.MediaDescriptorClass

##### Attributes

`parent` (Gst.ObjectClass) –
No description available

### GstValidate.MediaDescriptorClass

##### Attributes

`parent` (Gst.ObjectClass) –
No description available

## GstValidate.MediaDescriptor

    GObject.Object
        ╰──GObject.InitiallyUnowned
            ╰──Gst.Object
                ╰──GstValidate.MediaDescriptor
                    ╰──GstValidate.MediaDescriptorParser
                    ╰──GstValidate.MediaDescriptorWriter

### Members

`parent` (Gst.Object) –
No description available
`lock` (GLib.Mutex) –
No description available

## GstValidate.MediaDescriptor

    GObject.Object
        ╰──GObject.InitiallyUnowned
            ╰──Gst.Object
                ╰──GstValidate.MediaDescriptor
                    ╰──GstValidate.MediaDescriptorParser
                    ╰──GstValidate.MediaDescriptorWriter

### Members

`parent` (Gst.Object) –
No description available
`lock` (GLib.Mutex) –
No description available

### Methods

#### gst_validate_media_descriptor_detects_frames

    gboolean
    gst_validate_media_descriptor_detects_frames (GstValidateMediaDescriptor * self)

Parameters:

`self` –
No description available
Returns –
No description available

#### GstValidate.MediaDescriptor.prototype.detects_frames

    function GstValidate.MediaDescriptor.prototype.detects_frames(): {
        // javascript wrapper for 'gst_validate_media_descriptor_detects_frames'
    }

Parameters:

`self` (GstValidate.MediaDescriptor) –
No description available
Returns (Number) –
No description available

#### GstValidate.MediaDescriptor.detects_frames

    def GstValidate.MediaDescriptor.detects_frames (self):
        #python wrapper for 'gst_validate_media_descriptor_detects_frames'

Parameters:

`self` (GstValidate.MediaDescriptor) –
No description available
Returns (bool) –
No description available

#### gst_validate_media_descriptor_get_buffers

    gboolean
    gst_validate_media_descriptor_get_buffers (GstValidateMediaDescriptor * self,
                                               GstPad * pad,
                                               GCompareFunc compare_func,
                                               GList ** bufs)

Parameters:

`self` –
No description available
`pad` –
No description available
`compare_func` –
No description available
`bufs` –
No description available
Returns –
No description available

#### gst_validate_media_descriptor_get_duration

    GstClockTime
    gst_validate_media_descriptor_get_duration (GstValidateMediaDescriptor * self)

Parameters:

`self` –
No description available
Returns –
No description available

#### GstValidate.MediaDescriptor.prototype.get_duration

    function GstValidate.MediaDescriptor.prototype.get_duration(): {
        // javascript wrapper for 'gst_validate_media_descriptor_get_duration'
    }

Parameters:

`self` (GstValidate.MediaDescriptor) –
No description available
Returns (Number) –
No description available

#### GstValidate.MediaDescriptor.get_duration

    def GstValidate.MediaDescriptor.get_duration (self):
        #python wrapper for 'gst_validate_media_descriptor_get_duration'

Parameters:

`self` (GstValidate.MediaDescriptor) –
No description available
Returns (int) –
No description available

#### gst_validate_media_descriptor_get_pads

    GList *
    gst_validate_media_descriptor_get_pads (GstValidateMediaDescriptor * self)

Parameters:

`self` –
No description available
Returns –
No description available

#### gst_validate_media_descriptor_get_seekable

    gboolean
    gst_validate_media_descriptor_get_seekable (GstValidateMediaDescriptor * self)

Parameters:

`self` –
No description available
Returns –
No description available

#### GstValidate.MediaDescriptor.prototype.get_seekable

    function GstValidate.MediaDescriptor.prototype.get_seekable(): {
        // javascript wrapper for 'gst_validate_media_descriptor_get_seekable'
    }

Parameters:

`self` (GstValidate.MediaDescriptor) –
No description available
Returns (Number) –
No description available

#### GstValidate.MediaDescriptor.get_seekable

    def GstValidate.MediaDescriptor.get_seekable (self):
        #python wrapper for 'gst_validate_media_descriptor_get_seekable'

Parameters:

`self` (GstValidate.MediaDescriptor) –
No description available
Returns (bool) –
No description available

#### gst_validate_media_descriptor_has_frame_info

    gboolean
    gst_validate_media_descriptor_has_frame_info (GstValidateMediaDescriptor * self)

Parameters:

`self` –
No description available
Returns –
No description available

#### GstValidate.MediaDescriptor.prototype.has_frame_info

    function GstValidate.MediaDescriptor.prototype.has_frame_info(): {
        // javascript wrapper for 'gst_validate_media_descriptor_has_frame_info'
    }

Parameters:

`self` (GstValidate.MediaDescriptor) –
No description available
Returns (Number) –
No description available

#### GstValidate.MediaDescriptor.has_frame_info

    def GstValidate.MediaDescriptor.has_frame_info (self):
        #python wrapper for 'gst_validate_media_descriptor_has_frame_info'

Parameters:

`self` (GstValidate.MediaDescriptor) –
No description available
Returns (bool) –
No description available

### Properties

#### validate-runner

    “validate-runner” GstValidateRunner *

Flags : Read / Write / Construct Only

#### validate-runner

    “validate-runner” GstValidate.Runner

Flags : Read / Write / Construct Only

#### validate_runner

    “self.props.validate_runner” GstValidate.Runner

Flags : Read / Write / Construct Only

## Functions

### gst_validate_media_descriptors_compare

    gboolean
    gst_validate_media_descriptors_compare (GstValidateMediaDescriptor * ref,
                                            GstValidateMediaDescriptor * compared)

Parameters:

`ref` –
No description available
`compared` –
No description available
Returns –
No description available

### GstValidate.prototype.media_descriptors_compare

    function GstValidate.prototype.media_descriptors_compare(ref: GstValidate.MediaDescriptor, compared: GstValidate.MediaDescriptor): {
        // javascript wrapper for 'gst_validate_media_descriptors_compare'
    }

Parameters:

`ref` (GstValidate.MediaDescriptor) –
No description available
`compared` (GstValidate.MediaDescriptor) –
No description available
Returns (Number) –
No description available

### GstValidate.media_descriptors_compare

    def GstValidate.media_descriptors_compare (ref, compared):
        #python wrapper for 'gst_validate_media_descriptors_compare'

Parameters:

`ref` (GstValidate.MediaDescriptor) –
No description available
`compared` (GstValidate.MediaDescriptor) –
No description available
Returns (bool) –
No description available

## Function Macros

### GST_IS_VALIDATE_MEDIA_DESCRIPTOR

    #define GST_IS_VALIDATE_MEDIA_DESCRIPTOR(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), GST_TYPE_VALIDATE_MEDIA_DESCRIPTOR))

### GST_IS_VALIDATE_MEDIA_DESCRIPTOR_CLASS

    #define GST_IS_VALIDATE_MEDIA_DESCRIPTOR_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), GST_TYPE_VALIDATE_MEDIA_DESCRIPTOR))

### GST_VALIDATE_MEDIA_DESCRIPTOR_GET_LOCK

    #define GST_VALIDATE_MEDIA_DESCRIPTOR_GET_LOCK(obj)               (&GST_VALIDATE_MEDIA_DESCRIPTOR(obj)->lock)

### GST_VALIDATE_MEDIA_DESCRIPTOR_LOCK

    #define GST_VALIDATE_MEDIA_DESCRIPTOR_LOCK(obj)                   g_mutex_lock(GST_VALIDATE_MEDIA_DESCRIPTOR_GET_LOCK(obj))

### GST_VALIDATE_MEDIA_DESCRIPTOR_UNLOCK

    #define GST_VALIDATE_MEDIA_DESCRIPTOR_UNLOCK(obj)                 g_mutex_unlock(GST_VALIDATE_MEDIA_DESCRIPTOR_GET_LOCK(obj))

## Constants

### GST_TYPE_VALIDATE_MEDIA_DESCRIPTOR

    #define GST_TYPE_VALIDATE_MEDIA_DESCRIPTOR (gst_validate_media_descriptor_get_type ())

### GST_VALIDATE_UNKNOWN_BOOL

    #define GST_VALIDATE_UNKNOWN_BOOL - 1

### GstValidate.UNKNOWN_BOOL

### GST_VALIDATE_UNKNOWN_UINT64

    #define GST_VALIDATE_UNKNOWN_UINT64 - 1

### GstValidate.UNKNOWN_UINT64

The results of the search are